commit:     14ccbe7e9cda6e564a806a8f910966faa184bcc4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 18 07:20:05 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 18 07:36:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14ccbe7e

games-emulation/m64py: Bump to 0.2.5_p20211222

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-emulation/m64py/Manifest                     |  1 +
 games-emulation/m64py/m64py-0.2.5_p20211222.ebuild | 67 ++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/games-emulation/m64py/Manifest b/games-emulation/m64py/Manifest
index 36736dbfddfb..fc3dfa282a7a 100644
--- a/games-emulation/m64py/Manifest
+++ b/games-emulation/m64py/Manifest
@@ -1 +1,2 @@
 DIST m64py-0.2.5.tar.gz 201868 BLAKE2B 
95cbfe58ae2741caac5e05bcc06af563ee398d2916d07902ba4aaf4213277eea3c6219448db5958e0a2d0ea8ea3f65c88e63cfd2938a8b4ed33231ba57ae724f
 SHA512 
338f5e96dc4657ba2230c32a40cf0e85c5efcccaa0d5fdbe4b4dcef020b910f5d2d88e5c224f8b496ec0378051aaf44358a0438de52fb03b4ece353f55abc61c
+DIST mupen64plus-ui-python-e24679436a93e8aae0aa664dc4b2dea40d8236c1.gh.tar.gz 
14669412 BLAKE2B 
08232599557503d606db9e44bdd6dbb30b3fa125bfd9b9bcc2cbc4b6ea71b567f5af4338d03e7580707db522249d9426ec4d64dc1e941a43076b2d21bc974b67
 SHA512 
2ba865041827a7f47d5151db6123abd62c964c024c14356aa5434619736b19ce150178d536cff1c84e93d0544823e173c67c0f08054c13e01f085912a9b8c2c6

diff --git a/games-emulation/m64py/m64py-0.2.5_p20211222.ebuild 
b/games-emulation/m64py/m64py-0.2.5_p20211222.ebuild
new file mode 100644
index 000000000000..e4bd1c4b099e
--- /dev/null
+++ b/games-emulation/m64py/m64py-0.2.5_p20211222.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 qmake-utils xdg-utils
+
+EGIT_COMMIT="e24679436a93e8aae0aa664dc4b2dea40d8236c1"
+MY_P=mupen64plus-ui-python-${EGIT_COMMIT}
+
+DESCRIPTION="A frontend for Mupen64Plus"
+HOMEPAGE="
+       http://m64py.sourceforge.net/
+       https://github.com/mupen64plus/mupen64plus-ui-python/
+"
+SRC_URI="
+       
https://github.com/mupen64plus/mupen64plus-ui-python/archive/${EGIT_COMMIT}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-3 LGPL-3 public-domain GPL-2 BSD CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="7z rar"
+
+RDEPEND="
+       dev-python/PyQt5[gui,opengl,widgets,${PYTHON_USEDEP}]
+       dev-python/PySDL2[${PYTHON_USEDEP}]
+       media-libs/libsdl2[joystick,video]
+       >=games-emulation/mupen64plus-core-2.5:0/2-sdl2
+       7z? (
+               app-arch/p7zip
+       )
+       rar? (
+               || (
+                       dev-python/rarfile[${PYTHON_USEDEP}]
+                       app-arch/unrar
+                       app-arch/rar
+               )
+       )
+"
+
+python_prepare_all() {
+       # set the correct search path
+       cat >> src/m64py/platform.py <<-_EOF_ || die
+               SEARCH_DIRS = ["/usr/$(get_libdir)/mupen64plus"]
+       _EOF_
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       local -x PATH=$(qt5_get_bindir):${PATH}
+       distutils-r1_python_compile
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+}

Reply via email to